4th ed examples won't build with OSX 10.6 and xcode 3.2


#1

I’m getting errors and warnings that seem to indicate that 4th edition examples are meant for OSX 10.7 and xcode 4, but I’m using OSX 10.6 and Xcode 3.2.

I already edited Project Settings to set Xcode 3.2 but continue to get these errors when I try to build Typing Tutor. I have no idea where to look for fixes. This is my first try; presumably the same types of errors will occur when I try other examples.
How do I fix Xcode settings for all of them? Is there an errata file somewhere, which would include my problems?

Nick

COPY OF “BUILD FAILED” :

Check dependencies

[WARN]Deployment target 10.7 for architecture ‘x86_64’ and variant ‘normal’ is greater than the maximum value 10.6 for the Mac OS X 10.6 SDK.

error: unknown property attribute ‘strong’
@property (strong) NSColor *bgColor;
^
warning: no ‘assign’, ‘retain’, or ‘copy’ attribute is specified - ‘assign’ is assumed
@property (strong) NSColor *bgColor;
^
warning: default property attribute ‘assign’ not appropriate for non-gc object
2 warnings and 1 error generated.